develooper Front page | perl.perl5.porters | Postings from October 2003

Re: 5.8.2-RC1 and mp2

Thread Previous | Thread Next
From:
Stas Bekman
Date:
October 30, 2003 09:16
Subject:
Re: 5.8.2-RC1 and mp2
Message ID:
3FA1476C.7070901@stason.org
Alan Burlison wrote:
> Stas Bekman wrote:
> 
>>>> PS Does mod_perl have to be binary compatible with 5.8.0? If not, for
>>>>    mod_perl we could use the 5.8.1 scheme (which works) and for the 
>>>> rest
>>>>    perl the 5.8.2 scheme. (As a general case 5.8.2 install needs to be
>>>>    binary compatible with 5.8.0)
>>>
>>>
>>> How would that work, especially in the cases where stuff that uses 
>>> mod_perl also uses other perl modules, e.g. Apache::DBI?
>>
>>
>> I haven't thought of that. You are right Alan. Though Apache::DBI is a 
>> pure perl module, so it's not the one I'd worry about.
> 
> 
> No, but the underlying DBD:: modules generally are hairy XS code.  And 
> let's just be thankful you can't run Tk from inside mod_perl... can you? 
> ;-)

Actually you can. firing ptkdb as a replacement for the plan console debugger 
almost works under mod_perl. I wish someone with Tk knowledge had fixing it 
not to freeze after the first run.

__________________________________________________________________
Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker
http://stason.org/     mod_perl Guide ---> http://perl.apache.org
mailto:stas@stason.org http://use.perl.org http://apacheweek.com
http://modperlbook.org http://apache.org   http://ticketmaster.com


Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About